package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[数据实体_打印功能]
 */
@Component("ionicdemo_DEPrintFuncCodeList")
public class DEPrintFuncCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_DEPrintFunc");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("ENABLE");
		item0.setId("ENABLE");
		item0.setText("提供");
		item0.setLabel("提供");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("ENABLE",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("DISABLE");
		item1.setId("DISABLE");
		item1.setText("不提供");
		item1.setLabel("不提供");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("DISABLE",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("AUTO");
		item2.setId("AUTO");
		item2.setText("自动判断");
		item2.setLabel("自动判断");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("AUTO",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}